<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Daily Cash</title>
  </head>
  <body>
    <main
      layout:fragment="main"
      class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
    >
      <div th:include="sidebar_reports::sidebar_reports" th:remove="tag">
        sidebar
      </div>

      <main class="bd-main-xxl">
        <div class="row">
          <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
              Department Transactions
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <form method="get">
              <div class="row">
                <div class="col-md-2">
                  <button
                    type="submit"
                    class="btn btn-default"
                    style="--bs-btn-bg: #e8ecf1"
                  >
                    Search
                  </button>
                </div>
                <div class="col-md-10">
                  <!-- <div class="row mb-2">
                    <div class="col-md-12">
                      <select
                        class="form-select"
                        id="selectsatu"
                        name="periodeAnggaran"
                        data-placeholder="Choose period"
                      >
                        <option
                          th:each="data : ${listPeriodeAnggaran}"
                          th:selected="(${data} == *{priodeAnggaranSelected})"
                          th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                          th:value="${data.id}"
                        >
                          sdasd
                        </option>
                      </select>
                    </div>
                  </div> -->
                  <div class="row">
                    <div class="col-md-12">
                      <input
                        class="form-control me-2"
                        type="text"
                        placeholder="Search"
                        name="search"
                        th:value="${search}"
                        aria-label="Search"
                      />
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>

          <div class="col-md-6">
            <a class="btn btn-success" th:href="@{/reports/dailycash/export}"
              >To Excel</a
            >
          </div>
        </div>

        <br />
        <div class="row">
          <div class="col-md-12">
            <div class="tableFixHead">
              <table
                class="table table-hover table-striped small"
                th:if="${listSisaAnggaran != null}"
              >
                <thead class="table-dark" style="--bs-table-bg: #15408d">
                  <tr>
                    <th scope="col" style="width: 10px">#</th>
                    <th scope="col">Dept</th>
                    <th scope="col">Pagu</th>
                    <th scope="col">Budget</th>
                    <th scope="col">Pagu_Balance</th>
                    <th scope="col">Used</th>
                    <th scope="col">Progress</th>
                    <th scope="col" style="width: 40px">Label</th>
                    <th scope="col">Remaining</th>
                  </tr>
                </thead>
                <tbody>
                  <tr th:each="dataSisaAnggaran,row: *{listSisaAnggaran}">
                    <td th:text="${(row.index + 1)}">1.</td>
                    <td>
                      <a
                        th:href="@{/reports/dailycash/departemen(id=${dataSisaAnggaran.getId()}, periodeAnggaran=${priodeAnggaranSelected.getId()})}"
                        th:text="${dataSisaAnggaran.getNamaDepartemen()}"
                      >
                      </a>
                    </td>

                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaran.getPaguAnggaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaran.getTotalAnggaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaran.getSisaPagu(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaran.getPengeluaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>

                    <td>
                      <div
                        class="progress progress-xs"
                        role="progressbar"
                        th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33"
                      >
                        <div
                          class="progress-bar bg-success"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                        ></div>
                      </div>
                      <div
                        class="progress progress-xs"
                        role="progressbar"
                        th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66"
                      >
                        <div
                          class="progress-bar bg-warning"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                        ></div>
                      </div>
                      <div
                        class="progress progress-xs"
                        th:if="${dataSisaAnggaran.getPersentase()} > 66"
                      >
                        <div
                          class="progress-bar bg-danger"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                        ></div>
                      </div>
                    </td>

                    <td>
                      <span
                        th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33"
                        class="badge text-bg-success"
                        th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                        >>55%</span
                      >

                      <span
                        th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66"
                        class="badge text-bg-warning"
                        th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                        >>55%</span
                      >

                      <span
                        th:if="${dataSisaAnggaran.getPersentase()} > 66"
                        th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                        class="badge text-bg-danger"
                        >55%</span
                      >
                    </td>

                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaran.getTotalAnggaran() - dataSisaAnggaran.getPengeluaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                  </tr>
                  <tr
                    style="--bs-table-bg: #aedec4"
                    th:each="dataSisaAnggaranTotal,row: *{listSisaAnggaranTotal}"
                  >
                    <td colspan="2">Total</td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaranTotal.getPaguAnggaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaranTotal.getTotalAnggaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaranTotal.getSisaPagu(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaranTotal.getPengeluaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>

                    <td>
                      <div
                        class="progress progress-xs"
                        role="progressbar"
                        th:if="${dataSisaAnggaranTotal.getPersentase()} >= 0 and ${dataSisaAnggaranTotal.getPersentase()} <= 33"
                      >
                        <div
                          class="progress-bar bg-success"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaranTotal.getPersentase()+'%'}"
                        ></div>
                      </div>
                      <div
                        class="progress progress-xs"
                        role="progressbar"
                        th:if="${dataSisaAnggaranTotal.getPersentase()} > 33 and ${dataSisaAnggaranTotal.getPersentase()} <= 66"
                      >
                        <div
                          class="progress-bar bg-warning"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaranTotal.getPersentase()+'%'}"
                        ></div>
                      </div>
                      <div
                        class="progress progress-xs"
                        th:if="${dataSisaAnggaranTotal.getPersentase()} > 66"
                      >
                        <div
                          class="progress-bar bg-danger"
                          role="progressbar"
                          th:style="${'width: '+dataSisaAnggaranTotal.getPersentase()+'%'}"
                        ></div>
                      </div>
                    </td>

                    <td>
                      <span
                        th:if="${dataSisaAnggaranTotal.getPersentase()} >= 0 and ${dataSisaAnggaranTotal.getPersentase()} <= 33"
                        class="badge text-bg-success"
                        th:text="${dataSisaAnggaranTotal.getPersentase()+'%'}"
                        >>55%</span
                      >

                      <span
                        th:if="${dataSisaAnggaranTotal.getPersentase()} > 33 and ${dataSisaAnggaranTotal.getPersentase()} <= 66"
                        class="badge text-bg-warning"
                        th:text="${dataSisaAnggaranTotal.getPersentase()+'%'}"
                        >>55%</span
                      >

                      <span
                        th:if="${dataSisaAnggaranTotal.getPersentase()} > 66"
                        th:text="${dataSisaAnggaranTotal.getPersentase()+'%'}"
                        class="badge text-bg-danger"
                        >55%</span
                      >
                    </td>

                    <td
                      align="right"
                      th:text="${#numbers.formatDecimal(dataSisaAnggaranTotal.getTotalAnggaran() - dataSisaAnggaranTotal.getPengeluaran(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                  </tr>
                </tbody>
              </table>
            </div>
            <br />

            <!--                <nav aria-label="Page navigation example">-->
            <!--                    <ul class="pagination" sd:pagination="full">-->
            <!--                    </ul>-->
            <!--                </nav>-->
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <p>
              <span
                class="text-danger small"
                th:text="${'Data diatas adalah data kalkulasi pada tanggal '+ #temporals.format(tanggalUpdate.plusHours(7),'dd-MMM-yyyy hh:mm a')}"
              ></span>
            </p>
          </div>
        </div>
      </main>
    </main>
  </body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Dailycash Department</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Daily Cash-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Reports</li>-->
<!--        <li class="active"> Daily Cash</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="box">-->
<!--                <div class="box-header with-border">-->
<!--                    <div class = "col-md-6">-->
<!--                        <h3 class="box-title">Absorbed budget</h3>-->
<!--                    </div>-->
<!--                    <div class = "col-md-6">-->
<!--                        <form method="get">-->
<!--                            <div class="form-group">-->
<!--                                <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>-->

<!--                                <div class="col-sm-8">-->
<!--                                    <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">-->
<!--                                        <option th:each="data : ${listPeriodeAnggaran}"-->
<!--                                                th:selected="(${data} == *{priodeAnggaranSelected})"-->
<!--                                                th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"-->
<!--                                                th:value="${data.id}">sdasd</option>-->
<!--                                    </select>-->
<!--                                </div>-->

<!--                                <div class="col-sm-2">-->
<!--                                    <button type="submit" class="btn btn-default">Chose</button>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </form>-->
<!--                    </div>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                <div class="box-body table-responsive">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Dept</th>-->
<!--                            <th>Pagu</th>-->
<!--                            <th>Budget</th>-->
<!--                            <th>Pagu_Balance</th>-->
<!--                            <th>Used</th>-->
<!--                            <th>Progress</th>-->
<!--                            <th style="width: 40px">Label</th>-->
<!--                        </tr>-->
<!--                        <tr th:each="dataSisaAnggaran,row: *{listSisaAnggaran}">-->
<!--                            <td th:text="${(row.index + 1)}">1.</td>-->
<!--                            <td><a th:href="@{/reports/dailycash/departemen(id=${dataSisaAnggaran.getId()}, periodeAnggaran=${priodeAnggaranSelected.getId()})}" th:text="${dataSisaAnggaran.getNamaDepartemen()}"> </a></td>-->

<!--                            <td align="right" th:text="${'Rp. ' + #numbers.formatDecimal(dataSisaAnggaran.getPaguAnggaran(), 0, 'POINT', 2, 'COMMA')}"></td>-->
<!--                            <td align="right" th:text="${'Rp. ' + #numbers.formatDecimal(dataSisaAnggaran.getTotalAnggaran(), 0, 'POINT', 2, 'COMMA')}"></td>-->
<!--                            <td align="right" th:text="${'Rp. ' + #numbers.formatDecimal(dataSisaAnggaran.getSisaPagu(), 0, 'POINT', 2, 'COMMA')}"></td>-->
<!--                            <td align="right" th:text="${'Rp. ' + #numbers.formatDecimal(dataSisaAnggaran.getPengeluaran(), 0, 'POINT', 2, 'COMMA')}"></td>-->

<!--                            <td>-->
<!--                                <div class="progress progress-xs" th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33">-->
<!--                                    <div class="progress-bar progress-bar-success" th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"></div>-->
<!--                                </div>-->
<!--                                <div class="progress progress-xs" th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66">-->
<!--                                    <div class="progress-bar progress-bar-warning" th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"></div>-->
<!--                                </div>-->
<!--                                <div class="progress progress-xs" th:if="${dataSisaAnggaran.getPersentase()} > 66">-->
<!--                                    <div class="progress-bar progress-bar-danger" th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"></div>-->
<!--                                </div>-->
<!--                            </td>-->

<!--                            <td>-->
<!--                                <span th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33" class="badge bg-green" th:text="${dataSisaAnggaran.getPersentase()+'%'}">>55%</span>-->

<!--                                <span th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66" class="badge bg-yellow" th:text="${dataSisaAnggaran.getPersentase()+'%'}">>55%</span>-->

<!--                                <span th:if="${dataSisaAnggaran.getPersentase()} > 66" class="badge bg-red" th:text="${dataSisaAnggaran.getPersentase()+'%'}">>55%</span>-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                    </table>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                <div class="box-footer clearfix">-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->

<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#range').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Enable iCheck plugin for checkboxes-->
<!--            //iCheck for checkbox and radio inputs-->
<!--            $('.mailbox-messages input[type="checkbox"]').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-blue',-->
<!--                radioClass: 'iradio_flat-blue'-->
<!--            });-->

<!--            //Enable check and uncheck all functionality-->
<!--            $(".checkbox-toggle").click(function () {-->
<!--                var clicks = $(this).data('clicks');-->
<!--                if (clicks) {-->
<!--                    //Uncheck all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");-->
<!--                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');-->
<!--                } else {-->
<!--                    //Check all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("check");-->
<!--                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');-->
<!--                }-->
<!--                $(this).data("clicks", !clicks);-->
<!--            });-->

<!--            //Handle starring for glyphicon and font awesome-->
<!--            $(".mailbox-star").click(function (e) {-->
<!--                e.preventDefault();-->
<!--                //detect type-->
<!--                var $this = $(this).find("a > i");-->
<!--                var glyph = $this.hasClass("glyphicon");-->
<!--                var fa = $this.hasClass("fa");-->

<!--                //Switch states-->
<!--                if (glyph) {-->
<!--                    $this.toggleClass("glyphicon-star");-->
<!--                    $this.toggleClass("glyphicon-star-empty");-->
<!--                }-->

<!--                if (fa) {-->
<!--                    $this.toggleClass("fa-star");-->
<!--                    $this.toggleClass("fa-star-o");-->
<!--                }-->
<!--            });-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
